Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1102783 - [engine-backend] When committing a snapshot that contains disk and conf. of the 'Active VM', engine doesn't report about the result of the operation
Summary: [engine-backend] When committing a snapshot that contains disk and conf. of t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.1
Assignee: Daniel Erez
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On: 1096884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 14:35 UTC by rhev-integ
Modified: 2016-02-10 16:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, attempting to preview and commit the configuration file and disks of an active virtual machine would show that that the operation had started, but the results were never reported. Now, previewing an active virtual machine snapshot has been blocked.
Clone Of: 1096884
Environment:
Last Closed: 2014-07-29 16:23:41 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0960 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.4.1 2014-07-29 20:23:10 UTC
oVirt gerrit 27817 master MERGED core: block preview of active vm snapshot Never
oVirt gerrit 27818 None None None Never
oVirt gerrit 28302 ovirt-engine-3.4 MERGED core: block preview of active vm snapshot Never
oVirt gerrit 28303 ovirt-engine-3.4 MERGED webadmin: custom preview dialog - close on success Never

Comment 2 Aharon Canan 2014-06-30 14:11:17 UTC
verified using av10

"vm01:

    Cannot preview Active VM snapshot"

verification -
1. create a snapshot for VM with disk
2. custom preview the active VM and active disk
3. click "ok' - get the warning message

Comment 3 Gadi Ickowicz 2014-06-30 14:59:40 UTC
tested using RESTAPI as well - attempting to preview Active VM snapshots returns the following message:

...
    <fault>
        <reason>Operation Failed</reason>
        <detail>[Cannot preview Active VM snapshot.]</detail>
    </fault>
...

Comment 5 errata-xmlrpc 2014-07-29 16:23:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0960.html


Note You need to log in before you can comment on or make changes to this bug.